org.apache.poi.hssf.record.cf

## Class PatternFormatting

- java.lang.Object
- - org.apache.poi.hssf.record.cf.PatternFormatting

- All Implemented Interfaces:
    Duplicatable

      public final class PatternFormatting
      extends java.lang.Object
      implements Duplicatable

  Pattern Formatting Block of the Conditional Formatting Rule Record.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ALT_BARS` Wide dots
    `static short` | `BIG_SPOTS` Large spots
    `static short` | `BRICKS` Brick-like layout
    `static short` | `DIAMONDS` Diamonds
    `static short` | `FINE_DOTS` Small fine dots
    `static short` | `LEAST_DOTS` Least Dots
    `static short` | `LESS_DOTS` Less Dots
    `static short` | `NO_FILL` No background
    `static short` | `SOLID_FOREGROUND` Solidly filled
    `static short` | `SPARSE_DOTS` Sparse dots
    `static short` | `SQUARES` Squares
    `static short` | `THICK_BACKWARD_DIAG` Thick backward facing diagonals
    `static short` | `THICK_FORWARD_DIAG` Thick forward facing diagonals
    `static short` | `THICK_HORZ_BANDS` Thick horizontal bands
    `static short` | `THICK_VERT_BANDS` Thick vertical bands
    `static short` | `THIN_BACKWARD_DIAG` Thin backward diagonal
    `static short` | `THIN_FORWARD_DIAG` Thin forward diagonal
    `static short` | `THIN_HORZ_BANDS` Thin horizontal bands
    `static short` | `THIN_VERT_BANDS` Thin vertical bands

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternFormatting()`
    `PatternFormatting(LittleEndianInput in)`
    `PatternFormatting(PatternFormatting other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatternFormatting` | `clone()` Deprecated.
    `PatternFormatting` | `copy()`
    `int` | `getDataLength()`
    `int` | `getFillBackgroundColor()`
    `int` | `getFillForegroundColor()`
    `int` | `getFillPattern()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setFillBackgroundColor(int bg)` set the background fill color.
    `void` | `setFillForegroundColor(int fg)` set the foreground fill color
    `void` | `setFillPattern(int fp)` setting fill pattern
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_FILL

          public static final short NO_FILL

      No background
      See Also:
        Constant Field Values

    - #### SOLID_FOREGROUND

          public static final short SOLID_FOREGROUND

      Solidly filled
      See Also:
        Constant Field Values

    - #### FINE_DOTS

          public static final short FINE_DOTS

      Small fine dots
      See Also:
        Constant Field Values

    - #### ALT_BARS

          public static final short ALT_BARS

      Wide dots
      See Also:
        Constant Field Values

    - #### SPARSE_DOTS

          public static final short SPARSE_DOTS

      Sparse dots
      See Also:
        Constant Field Values

    - #### THICK_HORZ_BANDS

          public static final short THICK_HORZ_BANDS

      Thick horizontal bands
      See Also:
        Constant Field Values

    - #### THICK_VERT_BANDS

          public static final short THICK_VERT_BANDS

      Thick vertical bands
      See Also:
        Constant Field Values

    - #### THICK_BACKWARD_DIAG

          public static final short THICK_BACKWARD_DIAG

      Thick backward facing diagonals
      See Also:
        Constant Field Values

    - #### THICK_FORWARD_DIAG

          public static final short THICK_FORWARD_DIAG

      Thick forward facing diagonals
      See Also:
        Constant Field Values

    - #### BIG_SPOTS

          public static final short BIG_SPOTS

      Large spots
      See Also:
        Constant Field Values

    - #### BRICKS

          public static final short BRICKS

      Brick-like layout
      See Also:
        Constant Field Values

    - #### THIN_HORZ_BANDS

          public static final short THIN_HORZ_BANDS

      Thin horizontal bands
      See Also:
        Constant Field Values

    - #### THIN_VERT_BANDS

          public static final short THIN_VERT_BANDS

      Thin vertical bands
      See Also:
        Constant Field Values

    - #### THIN_BACKWARD_DIAG

          public static final short THIN_BACKWARD_DIAG

      Thin backward diagonal
      See Also:
        Constant Field Values

    - #### THIN_FORWARD_DIAG

          public static final short THIN_FORWARD_DIAG

      Thin forward diagonal
      See Also:
        Constant Field Values

    - #### SQUARES

          public static final short SQUARES

      Squares
      See Also:
        Constant Field Values

    - #### DIAMONDS

          public static final short DIAMONDS

      Diamonds
      See Also:
        Constant Field Values

    - #### LESS_DOTS

          public static final short LESS_DOTS

      Less Dots
      See Also:
        Constant Field Values

    - #### LEAST_DOTS

          public static final short LEAST_DOTS

      Least Dots
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PatternFormatting

          public PatternFormatting()

    - #### PatternFormatting

          public PatternFormatting(PatternFormatting other)

    - #### PatternFormatting

          public PatternFormatting(LittleEndianInput in)

  - ### Method Detail

    - #### getDataLength

          public int getDataLength()

    - #### setFillPattern

          public void setFillPattern(int fp)

      setting fill pattern
      Parameters:
        `fp` - fill pattern
      See Also:
        `NO_FILL`, `SOLID_FOREGROUND`, `FINE_DOTS`, `ALT_BARS`, `SPARSE_DOTS`, `THICK_HORZ_BANDS`, `THICK_VERT_BANDS`, `THICK_BACKWARD_DIAG`, `THICK_FORWARD_DIAG`, `BIG_SPOTS`, `BRICKS`, `THIN_HORZ_BANDS`, `THIN_VERT_BANDS`, `THIN_BACKWARD_DIAG`, `THIN_FORWARD_DIAG`, `SQUARES`, `DIAMONDS`

    - #### getFillPattern

          public int getFillPattern()

      Returns:
        fill pattern

    - #### setFillBackgroundColor

          public void setFillBackgroundColor(int bg)

      set the background fill color.

    - #### getFillBackgroundColor

          public int getFillBackgroundColor()

      Returns:
        get the background fill color
      See Also:
        `HSSFPalette.getColor(short)`

    - #### setFillForegroundColor

          public void setFillForegroundColor(int fg)

      set the foreground fill color

    - #### getFillForegroundColor

          public int getFillForegroundColor()

      Returns:
        get the foreground fill color
      See Also:
        `HSSFPalette.getColor(short)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public PatternFormatting clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public PatternFormatting copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### serialize

          public void serialize(LittleEndianOutput out)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.